Index: debian/dbconfig-common.lintian
===================================================================
--- debian/dbconfig-common.lintian	(révision 399)
+++ debian/dbconfig-common.lintian	(copie de travail)
@@ -10,6 +10,7 @@
 extra-license-file usr/share/doc/dbconfig-common/examples/db-test-mysql-frontend-2.0/COPYING
 extra-license-file usr/share/doc/dbconfig-common/examples/db-test-pgsql-migration-1.9/COPYING
 extra-license-file usr/share/doc/dbconfig-common/examples/db-test-sqlite-2.0/COPYING
+extra-license-file usr/share/doc/dbconfig-common/examples/db-test-sqlite3-2.0/COPYING
 extra-license-file usr/share/doc/dbconfig-common/examples/db-test-pgsql-migration-2.0/COPYING
 
 ##
@@ -39,6 +40,10 @@
 debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-sqlite-2.0/debian/postrm
 debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-sqlite-2.0/debian/config
 debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-sqlite-2.0/debian/prerm
+debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-sqlite3-2.0/debian/postinst
+debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-sqlite3-2.0/debian/postrm
+debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-sqlite3-2.0/debian/config
+debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-sqlite3-2.0/debian/prerm
 debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-pgsql-migration-2.0/debian/postinst
 debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-pgsql-migration-2.0/debian/postrm
 debconf-is-not-a-registry ./usr/share/doc/dbconfig-common/examples/db-test-pgsql-migration-2.0/debian/config
Index: dpkg/config.sqlite3
===================================================================
--- dpkg/config.sqlite3	(révision 0)
+++ dpkg/config.sqlite3	(révision 0)
@@ -0,0 +1,2 @@
+dbc_hardcoded_dbtype=sqlite3
+. /usr/share/dbconfig-common/dpkg/config 
Index: dpkg/postrm.sqlite3
===================================================================
--- dpkg/postrm.sqlite3	(révision 0)
+++ dpkg/postrm.sqlite3	(révision 0)
@@ -0,0 +1,2 @@
+dbc_hardcoded_dbtype=sqlite3
+. /usr/share/dbconfig-common/dpkg/postrm
Index: dpkg/preinst.sqlite3
===================================================================
--- dpkg/preinst.sqlite3	(révision 0)
+++ dpkg/preinst.sqlite3	(révision 0)
@@ -0,0 +1,2 @@
+dbc_hardcoded_dbtype=sqlite3
+. /usr/share/dbconfig-common/dpkg/preinst
Index: dpkg/common
===================================================================
--- dpkg/common	(révision 399)
+++ dpkg/common	(copie de travail)
@@ -43,7 +43,7 @@
 	dbc_sqlite_templates="db/dbname db/basepath"
 
 	# all dbtypes supported by dbconfig-common
-	dbc_all_supported_dbtypes="mysql pgsql sqlite"
+	dbc_all_supported_dbtypes="mysql pgsql sqlite sqlite3"
 
 	# database types supporting authenticated access
 	dbc_authenticated_dbtypes="mysql pgsql"
@@ -52,7 +52,7 @@
 	dbc_remote_dbtypes="mysql pgsql"
 
 	# database types storing files on the filesystem
-	dbc_fs_dbtypes="sqlite"
+	dbc_fs_dbtypes="sqlite sqlite3"
 
 	###
 	### source the pre-existing config, if it exists
@@ -117,7 +117,7 @@
 		dbc_use_dbuser="false"
 		dbc_dbvendor="PostgreSQL"
 	;;
-	sqlite)
+	sqlite|sqlite3)
 		. /usr/share/dbconfig-common/internal/sqlite
 		dbc_createuser_cmd=true
 		dbc_checkuser_cmd=true
@@ -130,9 +130,10 @@
 		dbc_register_templates="$dbc_standard_templates $dbc_sqlite_templates"
 		dbc_default_admin=""
 		dbc_default_dbuser="";
-		dbc_default_basepath="/var/lib/dbconfig-common/sqlite/$dbc_package"
+		dbc_default_basepath="/var/lib/dbconfig-common/$dbc_dbtype/$dbc_package"
 		dbc_use_dbuser="false"
 		dbc_dbvendor="SQLite"
+		dbc_sqlite_cmd="/usr/bin/$dbc_dbtype"
 	;;
 	*)
 		dbc_register_templates="$dbc_standard_templates $dbc_mysql_templates $dbc_pgsql_templates $dbc_sqlite_templates"
@@ -831,6 +832,8 @@
 	;;
 	"sqlite") testfile='/usr/bin/sqlite'
 	;;
+	"sqlite3") testfile='/usr/bin/sqlite3'
+	;;
 	"")
 	;;
 	esac
Index: dpkg/postinst.sqlite3
===================================================================
--- dpkg/postinst.sqlite3	(révision 0)
+++ dpkg/postinst.sqlite3	(révision 0)
@@ -0,0 +1,2 @@
+dbc_hardcoded_dbtype=sqlite3
+. /usr/share/dbconfig-common/dpkg/postinst
Index: dpkg/prerm.sqlite3
===================================================================
--- dpkg/prerm.sqlite3	(révision 0)
+++ dpkg/prerm.sqlite3	(révision 0)
@@ -0,0 +1,2 @@
+dbc_hardcoded_dbtype=sqlite3
+. /usr/share/dbconfig-common/dpkg/prerm
Index: internal/sqlite
===================================================================
--- internal/sqlite	(révision 399)
+++ internal/sqlite	(copie de travail)
@@ -33,7 +33,7 @@
 		return 1
 	fi
 	l_retval=0
-	sqlite "$l_dbfile" < "$l_sqlfile" || l_retval=$?
+	$dbc_sqlite_cmd "$l_dbfile" < "$l_sqlfile" || l_retval=$?
 	return $l_retval
 }
 
@@ -78,7 +78,7 @@
 	local ret l_dbfile l_owner l_perms
 	dbc_status=error
 
-	_dbc_sanity_check dbname sqlite || return 1
+	_dbc_sanity_check dbname $dbc_dbtype || return 1
 
 	l_dbfile="${dbc_basepath}/${dbc_dbname}"
 	
@@ -173,7 +173,7 @@
 dbc_sqlite_dump(){
 	local dumpfile
 	dumpfile=$1
-	_dbc_sanity_check dbname sqlite || return 1
+	_dbc_sanity_check dbname $dbc_dbtype || return 1
 	dbc_sqlite_exec_command ".dump" > "$dumpfile"
 	return $?
 }
Index: internal/common
===================================================================
--- internal/common	(révision 399)
+++ internal/common	(copie de travail)
@@ -113,11 +113,11 @@
 				return 1
 			fi
 		;;
-		"sqlite")
-			if ! which sqlite >/dev/null; then
-				dbc_error="No sqlite client to execute.  (have
-				       you installed the sqlite package?"
-				dbc_logline "sanity check failed for sqlite"
+		"sqlite"|"sqlite3")
+			if ! which $1 >/dev/null; then
+				dbc_error="No $1 client to execute.  (have
+				       you installed the $1 package?"
+				dbc_logline "sanity check failed for $1"
 				return 1
 			fi
 		;;
Index: examples/db-test-sqlite3-2.0/sqlite.sql
===================================================================
--- examples/db-test-sqlite3-2.0/sqlite.sql	(révision 0)
+++ examples/db-test-sqlite3-2.0/sqlite.sql	(révision 0)
@@ -0,0 +1,13 @@
+create table foo (
+	id	int not null primary key,
+	name	varchar(32)
+);
+
+create table mytable (
+	version	varchar(32) not null primary key
+);
+
+insert into foo values (1, 'foo');
+insert into foo values (2, 'bar');
+delete from mytable;
+insert into mytable values ('2.0');
Index: examples/db-test-sqlite3-2.0/debian/control
===================================================================
--- examples/db-test-sqlite3-2.0/debian/control	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/control	(révision 0)
@@ -0,0 +1,14 @@
+Source: db-common-example
+Section: misc
+Priority: optional
+Maintainer: sean finney <seanius@debian.org>
+Build-Depends-Indep: debhelper (>> 3.0.0)
+Standards-Version: 3.5.9
+
+Package: db-test-sqlite3
+Architecture: all
+Depends: dbconfig-common, sqlite3
+Description: a package to test dbconfig-common (sqlite3 version)
+ this is a package to test the dbconfig-common package.  
+ .
+ this version should work with the sqlite3 database engine
Index: examples/db-test-sqlite3-2.0/debian/dirs
===================================================================
--- examples/db-test-sqlite3-2.0/debian/dirs	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/dirs	(révision 0)
@@ -0,0 +1,4 @@
+usr/share/db-test-sqlite3
+usr/share/dbconfig-common/data/db-test-sqlite3/install
+usr/share/dbconfig-common/data/db-test-sqlite3/upgrade/sqlite3
+etc/db-test-sqlite3
Index: examples/db-test-sqlite3-2.0/debian/postinst
===================================================================
--- examples/db-test-sqlite3-2.0/debian/postinst	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/postinst	(révision 0)
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+. /usr/share/debconf/confmodule
+. /usr/share/dbconfig-common/dpkg/postinst.sqlite3 
+dbc_generate_include=php:/etc/db-test-sqlite3/debian-db.php
+
+# Uncomment the following lines if you want to set different permissions
+# on the installed database file
+#dbc_dbfile_owner="root:www-data"
+#dbc_dbfile_perms="0644"
+
+dbc_go db-test-sqlite3 $@
+
+#DEBHELPER#
Index: examples/db-test-sqlite3-2.0/debian/postrm
===================================================================
--- examples/db-test-sqlite3-2.0/debian/postrm	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/postrm	(révision 0)
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+if [ -f /usr/share/debconf/confmodule ]; then
+    . /usr/share/debconf/confmodule
+fi
+if [ -f /usr/share/dbconfig-common/dpkg/postrm.sqlite ]; then
+    . /usr/share/dbconfig-common/dpkg/postrm.sqlite3
+    dbc_go db-test-sqlite3 $@
+fi
+
+if [ "$1" = "purge" ]; then
+	rm -f /etc/db-test-sqlite3/debian-db.php
+	if which ucf >/dev/null 2>&1; then
+		ucf --purge /etc/db-test-sqlite3/debian-db.php
+	fi
+fi
+
+#DEBHELPER#
Index: examples/db-test-sqlite3-2.0/debian/prerm
===================================================================
--- examples/db-test-sqlite3-2.0/debian/prerm	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/prerm	(révision 0)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+. /usr/share/debconf/confmodule
+. /usr/share/dbconfig-common/dpkg/prerm.sqlite3 
+dbc_go db-test-sqlite3 $@
+
+#DEBHELPER#
Index: examples/db-test-sqlite3-2.0/debian/config
===================================================================
--- examples/db-test-sqlite3-2.0/debian/config	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/config	(révision 0)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+. /usr/share/debconf/confmodule
+if [ -f /usr/share/dbconfig-common/dpkg/config.sqlite3 ]; then
+	. /usr/share/dbconfig-common/dpkg/config.sqlite3
+	dbc_go db-test-sqlite3 $@
+fi
Index: examples/db-test-sqlite3-2.0/debian/changelog
===================================================================
--- examples/db-test-sqlite3-2.0/debian/changelog	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/changelog	(révision 0)
@@ -0,0 +1,70 @@
+db-common-example (2.0) unstable; urgency=low
+
+  * okay, this should be the final version common across all db-test* 
+    packages, minus another version for testing upgrade paths one
+    more time.
+
+ -- sean finney <seanius@debian.org>  Wed, 16 Mar 2005 19:13:05 -0500
+
+db-common-example (1.1) unstable; urgency=low
+
+  * now testing script based mysql install/upgrades
+
+ -- Sean Finney <seanius@debian.org>  Fri, 04 Mar 2005 00:12:58 -0500
+
+db-common-example (0.9) unstable; urgency=low
+
+  * now testing automatic include file generation in db-test-mysql
+
+ -- Sean Finney <seanius@debian.org>  Thu, 24 Feb 2005 23:44:00 -0500
+
+db-common-example (0.8) unstable; urgency=low
+
+  * another test for upgrade path with db-test-pgsql
+
+ -- Sean Finney <seanius@debian.org>  Tue, 25 Jan 2005 00:06:29 -0500
+
+db-common-example (0.7) unstable; urgency=low
+
+  * test for upgrade path with db-test-pgsql
+
+ -- Sean Finney <seanius@debian.org>  Fri, 24 Dec 2004 22:50:35 -0800
+
+db-common-example (0.6) unstable; urgency=low
+
+  * db-test-pgsql now attempts to use postgres support.
+
+ -- Sean Finney <seanius@debian.org>  Sun, 05 Dec 2004 22:49:16 -0500
+
+db-common-example (0.5) unstable; urgency=low
+
+  * upgrade test for db-test-mysql
+
+ -- Sean Finney <seanius@debian.org>  Mon, 29 Nov 2004 01:36:33 -0500
+
+db-common-example (0.4) unstable; urgency=low
+
+  * baseline test for db-test-mysql
+
+ -- Sean Finney <seanius@debian.org>  Sat, 20 Nov 2004 20:51:45 -0500
+
+db-common-example (0.3) unstable; urgency=low
+
+  * lots of work done on the db-test-mysql package:
+    - config script with bulk of debconf questions
+    - postinst script which adds database user and creates
+      database
+
+ -- Sean Finney <seanius@debian.org>  Mon, 25 Oct 2004 22:18:08 -0400
+
+db-common-example (0.2) unstable; urgency=low
+
+  * seperate packages for generic, mysql, and pgsql
+
+ -- Sean Finney <seanius@debian.org>  Tue, 19 Oct 2004 00:17:28 -0400
+
+db-common-example (0.1) unstable; urgency=low
+
+  * initial version
+
+ -- Sean Finney <seanius@debian.org>  Sat, 09 Oct 2004 17:19:56 -0400
Index: examples/db-test-sqlite3-2.0/debian/copyright
===================================================================
--- examples/db-test-sqlite3-2.0/debian/copyright	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/copyright	(révision 0)
@@ -0,0 +1,25 @@
+This package was debianized by Sean Finney <seanius@debian.org> on
+Sat, 09 Oct 2004 17:58:13 -0400
+
+It was downloaded from (somewhere)
+
+Upstream Author: Sean Finney <seanius@debian.org>
+
+Copyright:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 dated June, 1991.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+   02111-1307, USA.
+
+On Debian GNU/Linux systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
Index: examples/db-test-sqlite3-2.0/debian/docs
===================================================================
--- examples/db-test-sqlite3-2.0/debian/docs	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/docs	(révision 0)
@@ -0,0 +1 @@
+README
Index: examples/db-test-sqlite3-2.0/debian/rules
===================================================================
--- examples/db-test-sqlite3-2.0/debian/rules	(révision 0)
+++ examples/db-test-sqlite3-2.0/debian/rules	(révision 0)
@@ -0,0 +1,68 @@
+#!/usr/bin/make -f
+# debian/rules for test-installdb package, by
+# sean finney <seanius@debian.org>
+#
+# modified from:
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=5
+
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	touch configure-stamp
+
+
+build: build-indep build-stamp
+build-stamp: configure-stamp 
+	dh_testdir
+	touch build-stamp
+
+build-indep:
+	dh_testdir
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+	#
+	# db-test-sqlite3 needs the sql skeleton here:
+	#
+	cp sqlite.sql debian/db-test-sqlite3/usr/share/dbconfig-common/data/db-test-sqlite3/install/sqlite3
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installdebconf	
+	dh_installdocs
+	dh_installexamples
+	dh_installlogrotate
+	dh_installman
+	dh_installinfo
+	dh_installchangelogs
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_perl
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep
+.PHONY: build clean binary-indep binary install configure

Modification de propriétés sur examples/db-test-sqlite3-2.0/debian/rules
___________________________________________________________________
Nom : svn:executable
   + *

Index: examples/db-test-sqlite3-2.0/COPYING
===================================================================
--- examples/db-test-sqlite3-2.0/COPYING	(révision 0)
+++ examples/db-test-sqlite3-2.0/COPYING	(révision 0)
@@ -0,0 +1,340 @@
+		    GNU GENERAL PUBLIC LICENSE
+		       Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+     59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+			    Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Library General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+
+	    How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) year  name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Library General
+Public License instead of this License.
Index: examples/db-test-sqlite3-2.0/README
===================================================================
--- examples/db-test-sqlite3-2.0/README	(révision 0)
+++ examples/db-test-sqlite3-2.0/README	(révision 0)
@@ -0,0 +1,9 @@
+this is the source package that generates the test binaries used
+as examples for what dbconfig-common can do.  for more info
+please see my webpage at 
+
+http://people.debian.org/~seanius 
+
+enjoy!
+
+ -- sean finney <seanius@debian.org>  Wed, 16 Mar 2005 19:20:45 -0500
Index: examples/buildpackages.sh
===================================================================
--- examples/buildpackages.sh	(révision 399)
+++ examples/buildpackages.sh	(copie de travail)
@@ -3,7 +3,8 @@
 packages="db-test-mysql-2.0 db-test-mysql-2.1 db-test-mysql-frontend-2.0 \
           db-test-mysql-perl-2.0 db-test-pgsql-2.0 \
           db-test-pgsql-migration-1.9 db-test-pgsql-migration-2.0 \
-          db-test-multidbtype-2.0 db-test-sqlite-2.0 "
+          db-test-multidbtype-2.0 db-test-sqlite-2.0
+          db-test-multidbtype-2.0 db-test-sqlite3-2.0 "
 
 echo -n "building packages:"
 for f in $packages; do
